#!/bin/bash

# assume this script in this directory
export JPORT_HOME="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
arguments="$@"

if which java >/dev/null; then
    _java=java
elif [[ -n "$JAVA_HOME" ]] && [[ -x "$JAVA_HOME/bin/java" ]];  then
    _java="$JAVA_HOME/bin/java"
else
    echo "No java detected! Please install it from https://java.com/download"; exit 0
fi

export JPORTLIB=$JPORT_HOME/jport.jar
CLASSPATH=$JPORTLIB:$CLASSPATH
$_java -cp "$CLASSPATH" -Djport.home="$JPORT_HOME"  com.jport.JPort
